<!DOCTYPE html>
<html>
	<head>
	    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	    <title>AngularJS Currency</title>
	
	    <!-- AngularJs File -->
	    <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
	    <script type="text/javascript" src="resource/js/index.js"></script>
	
	    <!-- Bootstrap Css -->
	    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
	    <style type="text/css">
	    	.margin_left_40 {
	    		margin-left: -140px !important;
	    	}
	    </style>
	</head>
	<body>
	    <div id="angularCurrency" class="container">
	        <h1 align="center" class="text-primary">AngularJS - Currency Example</h1>
	        <hr />
	
	        <!------ AngularJs Currency Example ------>
	        <div ng-app="myApp" ng-controller="myCtrl">
	            <h3 id="header_msg" class="text-warning">A demo of <em>currency</em> filter in Angular JavaScript!</h3>
	            <div>&nbsp;</div>
	            
	            <div id="input_price" class="form-group row">
	            		<label for="number" class="col-sm-2 col-form-label">Price</label>
	            		<div class="col-10 margin_left_40">
	            			<input id="number" type="text" class="form-control" ng-model="amount" placeholder="Enter sample amount" />
	            		</div>
	            </div>
	            <div>&nbsp;</div>
	            
	            <!-- Dollar currency filter -->
	            <ul class="default_currency">
            		<li>Default currency filter, if we have not given any currency format by default it will consider it as '&#36;' i.e. <span>{{ amount | currency }}</span> </li>                
        		</ul>
	            
	            <!-- Indian rupee currency filter -->
	            <ul class="country_specific_currency_with_no_fractions">
            		<li>For indian rupees with no fractions i.e. <span>{{ amount | currency : "&#2352;" : no_fraction }}</span> </li>                
        		</ul>
	           	
	           	<!-- Euro currency filter with fractions -->							       
	            <ul class="country_specific_currency_with_fractions">
            		<li>For euro with fractions i.e. <span>{{ amount | currency : "&#128;" : price_fraction }}</span> </li>                
        		</ul>	            								       
	        </div>
	    </div>
	</body>
</html>